Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.Antitheft (grizzly v7.4.2)

"Antitheft" Command Class

This Command Class is used to lock (and possibly unlock) a node.

# Summary

## Types

lock_state()
status()

## Functions

state_from_bit(int)
state_to_bit(atom)
status_from_byte(byte)
status_to_byte(atom)
validate_magic_code_or_hint(magic_code_or_hint)

# Types

Link to this type

# lock_state()

View Source

    @type lock_state() :: :locked | :unlocked

Link to this type

# status()

View Source

    @type status() ::
      :protection_disabled_unlocked
      | :protection_enabled_locked_fully_functional
      | :protection_enabled_locked_restricted

# Functions

Link to this function

# state_from_bit(int)

View Source
Link to this function

# state_to_bit(atom)

View Source
Link to this function

# status_from_byte(byte)

View Source
Link to this function

# status_to_byte(atom)

View Source
Link to this function

# validate_magic_code_or_hint(magic_code_or_hint)

View Source